Will Vista Ever Synchronize right?

Windows Vista RC1 (build 5600, the one we didn’t get a chance to review..) is just great. It runs really fast, even faster than XP on this Centrino Duo with 2GB of memory. It’s stable (I haven’t restarted since installing it half a day ago, which for me is quite an accomplishment), and doesn’t require reboots even after installing core system drivers, such as the chipset, onboard SATA controllers, and audio devices, whether you use XP or Vista drivers, it just works.

Now that we’ve got that out of the way: Vista support for Pocket PC or Windows Mobile 5.0 devices is terrible. Very terrible. Some people were really happy back when Beta 2 got an update that fixed all aspects of Windows Mobile synchronization with Windows Vista, but guess what… it still doesn’t work.

I’ve got 5 Windows-powered PDAs in the house (no, they’re not all mine), and none of them synchronize properly with Windows Vista. One of them is a legacy Windows CE 3.x PDA, two are Pocket PC 2002, and the last two are Windows Mobile 5.0 powered. I’m on RC1 (build 5600) at the moment, and I can’t even get WM5 devices to synchronize with Vista.

Ever since the December CTP, Microsoft has endlessly promised a code-complete ActiveSync replacement for Windows Vista, but here we are at Release Candidate number 1, the thing that supposedly does the trick, and it still doesn’t work. Don’t get me wrong, it’s improved quite a bit since; it actually sees the device, and you can browse the PDA’s ROM drive and move files between the systems, you can synchronize it with Windows Media Player, but I’m sorry to say, it’s nowhere near the ActiveSync replacement they promised us.

I can’t install programs, I can’t synchronize contacts, and I can’t even upgrade the firmware that finally came out for my (ill-advised purchase, the) Torq P120. It demands that I have some sort of ActiveSync installed, but guess what? Microsoft decided its version of Vista’s ActiveSync was good enough, and now I’m not even allowed to install ActiveSync!

RC1 may be great, but Microsoft has serious issues that need to be addressed. You can call Vista code-complete if you like, but that’s admitting a serious failure. RC1 is really fast and really stable, but things like this shouldn’t have gone this far without being addressed. And people did complain. The newsgroups were filled with “How do I synchronize my PPC with Windows Vista” threads throughout the entire beta program, but apparently, no one cares.

17 thoughts on “Will Vista Ever Synchronize right?

  1. I know this will come as cold consolation to you, but the Sony Ericsson synchronisation software is working fine for me on RC1. I guess the moral of the story is just don’t buy Windows Mobile-based devices? :-|

  2. LOL, you guessed right… It’s more rubbing it in than making me feel any better about it, especially since I really hate the Sony Ericsson Synchronization Suite with its bulky interface and terrible support ;)

    Windows Mobile 5 really is great, and though ActiveSync 3.0 was terrible, 4.2 on Windows XP is wonderful… That’s what hurts: that Microsoft has a winner on their hands but they choose not to take advantage of it and mistreat it worse than the other stuff that no one actually cares about…. *sigh*

    Thanks for that tidbit of info though :)

  3. May I clarify what you are really saying please?

    In the past:
    1. You installed Vista Beta 2
    2. That gave you WMDC basic
    3. You then got an update through windows update and you had the full deal

    1. You installed Vista RC1
    2. That gave you WMDC basic

    So I am not clear on what your step 3 is:
    3. You then got an update through windows update and it is no good
    3. You can’t get the update at all

    If it is the former, please provide more details. If it is the latter, then it is not ready for public consumption yet, which I agree is most annoying but not a reason to criticise it (since you haven’t seen it yet :-))

  4. Hi Daniel, thanks for stopping by!

    Past is exactly as you describe it, but I could only get WM5 PPCs to work.

    1. OK
    2. Yes
    3. No update available, and it doesn’t go past basic connection to a WM5 device (where you can browse the HD, but not synchronize data or install programs).

    I believe it is as you said, i.e. “Not ready for public consumption” but for the fact that this is RC1 and supposedly “ready for release.”

    Everyone I have spoken to that had Beta 2 synchronizing perfectly with their mobile devices concurs that RC1 doesn’t synchronize, so I think that’s clear.. The only question is: Why!?

  5. OK thanks for clarifying. It is not that you got the update and it doesn’t work. The problem is that you *can’t get the update* in the first place.

    I agree, utterly frustrating at this stage… Unfortunately, the only thing I can do is blog about it when it does eventually become publicly available. Sorry.

  6. That’s the thing: it shouldn’t be an upgrade at this point. Every “update” that shipped with Beta 2 was added to the core in later builds, and this shouldn’t be an exception…

    But you’re right, as end-users there is nothing we can do but blog and rant and hope someone out there listens.

  7. I am having the same problem, only now, my phone crashed and verizon replaced it with the same phone with WM 2003.  I can’t get Vista to even load WM 5, it says it’s not supported.  From what I gathered, the best I can hope for is to partition and reload XP and use it that way.  You should also be able to use Active Sync that way but I don’t know for sure.  Still have to figure out how to partition off some of my space for XP. 


  8. Same problem here:

    I have an hp 2210, running pocket pc windows 2003, and I cannot sync it with the download centre in windows vista.

    Specifically, I want to synchronise my contacts and calendar with microsoft works 8.5. (I don’t have outlook). At first I could do a simple sync between pc and device fine and access files. When I clicked the pocket pc sync option in Works it now just hangs everytime I connect it, and I get an error message!

  9. Did that too.  Did not work for my iPaq running PocketPC 2003 which uses the older Outlook. 

  10. OMG, and i thought i was the only one.  This really sucks!

    This is such a big issue and so many people are complaining, when will microsoft take any action?


  11. Thanks for that link, computer guru, but I found another way around it. 
    Actually, i was running the trial version of vista with vista w/ sp1 and it would keep failing if i tried a fix from microsoft’s website.  It wouldn’t even recognize my device back then. 

    I’m running vista from the original disc and it seems to be working fine now.  i can transfer data and sync with outlook without a problem. 

    The birds have started to sing again and the sun has finally come out, I’m so happy. 

  12. Hi, I still don’t get it. I have an ipaq with windows ce 3.0, cannot upgrade, and cannot sync with outlook. The computer sees the ipaq, and that’s it… any idea ?

  13. Thanks for the answer. I thought so after some googleing, but its nice to have a confirmation.

Leave a Reply

Your email address will not be published. Required fields are marked *